<bugID>732442<Summary>Add parser support to the debugger for lookup of references to function names, variables, etc</Summary><Description>We should add a parser to the source editor to provide support for doing lookups (references, implementors, sends), flagging errors and other general awesomeness with code.

I'm currently not sure if we want to do this in the source editor itself or in the debugger. I can think of good reasons to have it in both locations or access to a central script container that can do these types of lookups for us.

Should probably use the SpiderMonkey Parser API for this.

https://developer.mozilla.org/en/SpiderMonkey/Parser_API</Description></bugID>